
/*
     File: TextEditDefaultsKeys.h
 Abstract: Keys used for preferences.
 
  Version: 1.9
 
 Disclaimer: IMPORTANT:  This Apple software is supplied to you by Apple
 Inc. ("Apple") in consideration of your agreement to the following
 terms, and your use, installation, modification or redistribution of
 this Apple software constitutes acceptance of these terms.  If you do
 not agree with these terms, please do not use, install, modify or
 redistribute this Apple software.
 
 In consideration of your agreement to abide by the following terms, and
 subject to these terms, Apple grants you a personal, non-exclusive
 license, under Apple's copyrights in this original Apple software (the
 "Apple Software"), to use, reproduce, modify and redistribute the Apple
 Software, with or without modifications, in source and/or binary forms;
 provided that if you redistribute the Apple Software in its entirety and
 without modifications, you must retain this notice and the following
 text and disclaimers in all such redistributions of the Apple Software.
 Neither the name, trademarks, service marks or logos of Apple Inc. may
 be used to endorse or promote products derived from the Apple Software
 without specific prior written permission from Apple.  Except as
 expressly stated in this notice, no other rights or licenses, express or
 implied, are granted by Apple herein, including but not limited to any
 patent rights that may be infringed by your derivative works or by other
 works in which the Apple Software may be incorporated.
 
 The Apple Software is provided by Apple on an "AS IS" basis.  APPLE
 MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS USE AND
 OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.
 
 IN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION,
 MODIFICATION AND/OR DISTRIBUTION OF THE APPLE SOFTWARE, HOWEVER CAUSED
 AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE),
 STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.
 
 Copyright (C) 2013 Apple Inc. All Rights Reserved.
 
 */

// Note that not all keys in this file are exposed in the UI. Some of them are not used at all, but are kept for reference.
#define RichText @"RichText"
#define ShowPageBreaks @"ShowPageBreaks"
#define AddExtensionToNewPlainTextFiles @"AddExtensionToNewPlainTextFiles"
#define WindowWidth @"WidthInChars"
#define WindowHeight @"HeightInChars"
#define PlainTextEncodingForRead @"PlainTextEncoding"
#define PlainTextEncodingForWrite @"PlainTextEncodingForWrite"
#define IgnoreRichText @"IgnoreRichText"
#define IgnoreHTML @"IgnoreHTML"
#define TabWidth @"TabWidth"
#define ForegroundLayoutToIndex @"ForegroundLayoutToIndex"
#define OpenPanelFollowsMainWindow @"OpenPanelFollowsMainWindow"
#define CheckSpellingAsYouType @"CheckSpellingWhileTyping"
#define CheckGrammarWithSpelling @"CheckGrammarWithSpelling"
#define CorrectSpellingAutomatically @"CorrectSpellingAutomatically"
#define ShowRuler @"ShowRuler"
#define SmartCopyPaste @"SmartCopyPaste"
#define SmartQuotes @"SmartQuotes"
#define SmartDashes @"SmartDashes"
#define SmartLinks @"SmartLinks"
#define DataDetectors @"DataDetectors"
#define TextReplacement @"TextReplacement"
#define SubstitutionsEnabledInRichTextOnly @"SubstitutionsEnabledInRichTextOnly"
#define UseXHTMLDocType @"UseXHTMLDocType"
#define UseTransitionalDocType @"UseTransitionalDocType"
#define UseEmbeddedCSS @"UseEmbeddedCSS"
#define UseInlineCSS @"UseInlineCSS"
#define HTMLEncoding @"HTMLEncoding"
#define PreserveWhitespace @"PreserveWhitespace"
#define AutosavingDelay @"AutosavingDelay"
#define NumberPagesWhenPrinting @"NumberPagesWhenPrinting"
#define WrapToFitWhenPrinting @"WrapToFitWhenPrinting"
#define UseScreenFonts @"UseScreenFonts"

// Use different convention for the key values here, to be consistent with the keys in Document
#define AuthorProperty @"author"
#define CompanyProperty @"company"
#define CopyrightProperty @"copyright"

